GCLOUD_AUTH_LOGIN(1)

NAME

gcloud auth login - get credentials for the tools in the Google Cloud SDK via a web flow

SYNOPSIS

gcloud auth login [ACCOUNT] [--activate] [--brief] [--force] [--launch-browser] [GLOBAL-FLAG ...]

DESCRIPTION
Obtains access credentials for the Google Cloud Platform resources of the given account, via a web flow. If the account already has valid credentials, it is set as active without re-running the web flow.

POSITIONAL ARGUMENTS
[ACCOUNT]
    The account to log in as.

FLAGS
--activate
    Set the new credentials as active. Enabled by default, use --no-activate to disable.
--brief
    Minimal user output.
--force
    Re-run the web flow even if the given account has valid credentials.
--launch-browser
    Launch a web browser instead of printing a URL to be copied. Enabled by default, use --no-launch-browser to disable.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.